Last modified: 2013-06-26 20:27:33 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 44904 - update Gerrit/Git-related documentation after 2.6 upgrade
update Gerrit/Git-related documentation after 2.6 upgrade
Status: RESOLVED FIXED
Product: Wikimedia
Classification: Unclassified
Git/Gerrit (Other open bugs)
wmf-deployment
All All
: Normal normal (vote)
: ---
Assigned To: Nobody - You can work on this!
:
Depends on:
Blocks: documentation
  Show dependency treegraph
 
Reported: 2013-02-12 14:38 UTC by Sumana Harihareswara
Modified: 2013-06-26 20:27 UTC (History)
5 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Sumana Harihareswara 2013-02-12 14:38:06 UTC
The screenshots and other docs on mediawiki.org, labsconsole, and wikitech.wikimedia.org relating to Git and Gerrit are now out of date after the ~2.6 upgrade this week.


<^demon> sumanah: If we're going to overhaul docs, I think it'd be a good time to trim the docs down greatly and link to the official gerrit docs more liberally.
<^demon> We repeat a lot of info that's in the docs already, and linking means it'll always be up to date.
Comment 1 Andre Klapper 2013-02-12 14:43:51 UTC
Also see bug 36437
Comment 2 Sumana Harihareswara 2013-02-14 23:08:15 UTC
Also check out, from Edwin Kempin on the Repo & Gerrit Discussion list:

https://groups.google.com/d/topic/repo-discuss/rdmzByl3_M4/discussion


[quote]
Hi,

at SAP we are doing a lot of trainings for users that are new to Git
and Gerrit. We normally do a 1 day hands-on workshop where participants
learn how to work with EGit and Gerrit. There are exercises so that
everybody can get familiar with the tools and the workflows.
The basic Git and Gerrit concepts are explained in details and
additionally background information about code review and best
practices are provided.

We have now made this training material and other Gerrit related
presentations available in a new Gerrit project called
'training/gerrit' [1,2]. We hope that this is of value for others and
want to invited everyone who is interested to help us to improve the
training material over time. Maybe you even have already training
material that you would like to share.

There is a second new project 'training/sample' [3] which contains the
sample application that is used as basis for the exercises of the
Git/Gerrit workshop.

Edwin

[1] https://gerrit-review.googlesource.com/#/admin/projects/training/gerrit
[2] https://gerrit-review.googlesource.com/41390
[3] https://gerrit-review.googlesource.com/#/admin/projects/training/sample

[/quote]
Comment 3 Quim Gil 2013-03-15 04:27:53 UTC
After all the trimming I believe the only page we really need to check is
https://www.mediawiki.org/wiki/Gerrit/Tutorial . The rest of pages are for advanced use (in the best case) and those can be updated by the ones scratching their own itches.

In the tutorial there are 6 screenshots showing Gerrit UI. All the rest are command-line screenshots (that in fact would be better to have as pre-formatted text, but I'm digressing).

I wonder whether there are any changes in the instructions of the tutorial, since it covers only the basic usage.
Comment 4 Chad H. 2013-06-26 20:27:33 UTC
I think we're fine at this point. If someone sees something wrong in the docs, they should be bold and fix it.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links